package org.dromara.zhishu.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.dromara.zhishu.domain.ShopDepot;

import java.util.List;

@Mapper
public interface ShopDepotMapper {

    /**
     * 根据店铺ID查询绑定关系
     */
    List<ShopDepot> selectByShopId(Long shopId);

    /**
     * 根据店铺ID删除绑定关系
     */
    int deleteByShopId(Long shopId);

    /**
     * 插入绑定关系
     */
    int insertBatch(@Param("list") List<ShopDepot> shopDepots);
}